Автор Тема: adobeflash  (Прочитано 3511 раз)

Оффлайн ckt

  • Завсегдатай
  • *
  • Сообщений: 24
adobeflash
« : 22.03.2019 12:29:53 »
Добрый день! Подскажите в чём может быть проблема. Имеется altworkstation 8.2 x86_64. Установлен mozilla-plugin-adobe-flash. При запуске любого контента с флэш происходит крах плагина adobe flash(

Оффлайн Skull

  • Глобальный модератор
  • *****
  • Сообщений: 17 821
    • Домашняя страница
    • Email
Re: adobeflash
« Ответ #1 : 22.03.2019 15:52:29 »
Новые версии Firefox не поддерживают плагины NPAPI (в том числе Flash).
Если нужен Flash, то используйте ppapi adobe-flash в Chromium.
Андрей Черепанов (cas@)

Оффлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 8 882
  • UNIX System V init
Re: adobeflash
« Ответ #2 : 22.03.2019 16:56:23 »
Добрый день! Подскажите в чём может быть проблема. Имеется altworkstation 8.2 x86_64. Установлен mozilla-plugin-adobe-flash. При запуске любого контента с флэш происходит крах плагина adobe flash(

Назовите версию флеша, а также имя и версию браузера в котором падает флеш.

mozilla-plugin-adobe-flash, это не флеш, это виртуальный пакет для фоксоподобных браузеров, подтягивающий по зависимостям пакет-прокладку и собсно сам ppapi-флеш, который без пакета-прокладки используется и в браузерах в гугл-хром и в хромиум. Последняя версия ppapi-флеша собрана repocop cronbuild 20190312. Но обычно его ведёт zerg.

Сейчас проверено в своей системе p8-sysv-xfce:
Архитектура
# uname -m
i686

Браузер
# rpm -qa | grep firefox
firefox-ru-63.0.1-alt1
firefox-63.0.3-alt0.M80P.1
firefox-ublock_origin-1.13.18-alt1

Флеш
# rpm -qa | grep adobe-flash
npapi-plugin-adobe-flash-30.0.0.154-alt0
http://altlinuxclub.ru/repo/repo.html
http://altlinuxclub.ru/repo/Repo_P8/i686/RPMS.hasher/npapi-plugin-adobe-flash-30.0.0.154-alt0.i686.rpm
Я  иногда собираю npapi-флеш и Костя пересобирает его в клубный репозиторий.
Проверено на видеосайте требующем флеш: это работает в ff63 и не падает.

Версия в клубном репозитории устаревшая, но можно собрать в rpm-пакет и последнюю свежую, - flash-player-npapi-32.0.0.156-release. Свою сборку npapi-plugin-adobe-flash, всегда проверяю перед тем как отправить в клубный репозиторий. Нестабильные версии блокируются и в клубный отправлены не будут. Проверяется только 32бит версия, - у меня системы на std-pae.
ZX Spectrum 128K
Привет от NM:  # echo -e "\n[device]\nwifi.scan-rand-mac-address=no" >> /etc/NetworkManager/NetworkManager.conf

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 5 450
Re: adobeflash
« Ответ #3 : 22.03.2019 16:59:09 »
Новые версии Firefox не поддерживают плагины NPAPI (в том числе Flash).
Если нужен Flash, то используйте ppapi adobe-flash в Chromium.
Firefox ESR поддерживает.

Оффлайн ckt

  • Завсегдатай
  • *
  • Сообщений: 24
Re: adobeflash
« Ответ #4 : 28.03.2019 07:51:45 »
Обновил браузер и flash заработал стабильно. Всем спасибо!

Оффлайн sb

  • Модератор глобальный
  • *****
  • Сообщений: 8 667
  • Кто ищет, тот найдёт.
    • Email
Re: adobeflash
« Ответ #5 : 28.03.2019 11:26:02 »
Обновил браузер и flash заработал стабильно. Всем спасибо!
Закройте тему по возможности https://forum.altlinux.org/index.php?topic=1045.msg193310#msg193310